# stream_iterator.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stream_iterator.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::istream_iterator< _Tp, _CharT, _Traits, _Dist >
    Provides input iterator semantics for streams. More...
- class std::ostream_iterator< _Tp, _CharT, _Traits >
    Provides output iterator semantics for streams. More...

## Defines

- #define _STREAM_ITERATOR_H

## Functions

- template<class _Tp, class _CharT, class _Traits, class _Dist> bool std::operator!= (const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__y)
- template<typename _Tp, typename _CharT, typename _Traits, typename _Dist> bool std::operator== (const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__y)